#pragma once
#include "Entity.h"
#include "MenuTextJoystick.h"
#define MENUTEXTSK2_PLAYER2JOYSTICK_CREATENAME L"menutext_player2joystick_sk2"
class MenuTextSk2_Player2Joystick :
    public MenuTextJoystick
{
public:
    InputSetting_Joystick* GetInputSetting() override;
    SDL_GameControllerButtonBind* GetBind(InputSetting_Joystick* setting) override;
    std::weak_ptr<Entity> GetPlayer(void* entityRes) override;
};

std::shared_ptr<Entity> CreateMenuTextSk2_Player2Joystick();